[hardy] software-properties-gtk doesn't recognize (nor know about) ports.ubuntu.com

Bug #220890 reported by Herbert V. Riedel on 2008-04-23
10
Affects Status Importance Assigned to Milestone
python-apt (Ubuntu)
High
Michael Vogt
Hardy
High
Michael Vogt
Intrepid
Undecided
Michael Vogt
Jaunty
High
Michael Vogt

Bug Description

1.) When running software-properties-gtk on powerpc, it configures /etc/apt/source.list with archive.ubuntu.com/ubuntu and security.ubuntu.com/ubuntu, even although those don't carry the powerpc arch anymore; leaving the system update-wise in a dead-end, thus also causing the casual non-geek user to miss criticial security updates for hardy :-/

2.) when calling software-properties-gtk after having configured /etc/apt/source.list manually for ports.ubuntu.com/, software-properties-gtk lists the ports.ubunt.com entries as 'third party software' sources

TEST CASE (without powerpc):
1. use stock hardy install
2. open System/Administraton/Software sources
3. verify that the main page has at least main, restricted ticked
4. click on "Download from" combobox and select "other"
5. verify that a lot of different servers are available

6. install python-apt from hardy-proposed
7. repeat steps 1-5 and verify that they give the same results

TEST CASE (with powerpc):
1. use stock ppc hardy install
2. open System/Administraton/Software sources
3. verify that the main page has nothing ticked

4. install package from hardy-proposed
5. repeat step 2
6. verify that at least main and restricted are ticked
7. go to page "updates" and verify that "security updates" is ticked

Michael Vogt (mvo) on 2008-04-25
Changed in software-properties:
importance: Undecided → High
milestone: none → ubuntu-8.04.1
status: New → Confirmed
Revision history for this message
Michael Vogt (mvo) wrote :

I uploaded a test fix for python-apt into my PPA at:

deb http://ppa.launchpad.net/mvo/ubuntu hardy main

testing would be appreciated. It does not support deb-src lines yet because ports.ubuntu.com does not carry source code currently. I filed a RT ticket against the archive about this, I hope it will be added, this way the changes to the source can remain small.

Please give the upated python-apt some testing and let me know how it works for you (preferable woth powerpc and i386).

Revision history for this message
Michael Vogt (mvo) wrote :

I uploaded a better fix to intrepid now, testing/feedback is welcome.

I also uploaded a new version (0.7.4ubuntu8~ppa3) into my PPA at:
deb http://ppa.launchpad.net/mvo/ubuntu hardy main

Feedback is welcome as I do not have a powerpc.

Revision history for this message
Herbert V. Riedel (hvr) wrote : Re: [Bug 220890] Re: [hardy] software-properties-gtk doesn't recognize (nor know about) ports.ubuntu.com

On Wed, 2008-05-28 at 10:35 +0000, Michael Vogt wrote:
> I uploaded a better fix to intrepid now, testing/feedback is welcome.

> I also uploaded a new version (0.7.4ubuntu8~ppa3) into my PPA at:
> deb http://ppa.launchpad.net/mvo/ubuntu hardy main

> Feedback is welcome as I do not have a powerpc.

well, alas ppa doesn't build powerpc packages (anymore) :-(

and right now I'm a bit reluctant if more is involved than just "dpkg
-i ..." C:-)

Revision history for this message
Steve Langasek (vorlon) wrote :

Michael, are you confident enough in this fix that it should be uploaded to hardy-proposed? That would unblock us from the problem of not being able to test powerpc packages via PPA at present.

Changed in software-properties:
importance: Undecided → High
milestone: none → ubuntu-8.04.1
status: New → Confirmed
Steve Langasek (vorlon) on 2008-06-02
Changed in software-properties:
milestone: ubuntu-8.04.1 → none
Steve Langasek (vorlon) on 2008-06-18
Changed in software-properties:
milestone: ubuntu-8.04.1 → ubuntu-8.04.2
Michael Vogt (mvo) on 2008-06-18
description: updated
description: updated
Revision history for this message
Michael Vogt (mvo) wrote :

I uploaded the fix to hardy-proposed now, please test (both for the fix and for possible regressions) and give me feedback.

Thanks,
 Michael

description: updated
Changed in software-properties:
assignee: nobody → mvo
status: Confirmed → Fix Committed
Revision history for this message
Michael Vogt (mvo) wrote :

This is fixed in intrepid now with the latest python-apt upload.

Changed in software-properties:
assignee: nobody → mvo
status: Confirmed → Fix Released
Revision history for this message
Steve Langasek (vorlon) wrote :

although uploaded to hardy-proposed, at this point I intend to leave this in the unapproved queue until after 8.04.1 CDs are sorted out to not reset our counter for CD testing and validation.

Revision history for this message
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Michael Vogt (mvo) wrote :

It looks like #244093 is a side effect of this "fix". So this is not safe for -updates yet.

Revision history for this message
Michael Casadevall (mcasadevall) wrote :
Download full text (3.6 KiB)

I'm a Ubuntu PowerPC user who was recruited into checking to make sure this works as excepted. It doesn't.

Now archive.ubuntu.com is seen as a third-party software (the boxs are getting checks), and ports are added to the sources list which still doesn't work right ;-).

Here's the default sources.lists from my install, its good for reference.

I'm subscribed to the bug, I'll test any new fixes once they are uploaded to hardy-proposed.

#
# deb cdrom:[Ubuntu-Server 8.04.1 _Hardy Heron_ - Release powerpc (20080703)]/ hardy main restricted

# deb cdrom:[Ubuntu-Server 8.04.1 _Hardy Heron_ - Release powerpc (20080703)]/ hardy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://ports.ubuntu.com/ubuntu-ports/ hardy main restricted
deb-src http://archive.ubuntu.com/ubuntu hardy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://ports.ubuntu.com/ubuntu-ports/ hardy-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu hardy-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://ports.ubuntu.com/ubuntu-ports/ hardy universe
deb-src http://archive.ubuntu.com/ubuntu hardy universe
deb http://ports.ubuntu.com/ubuntu-ports/ hardy-updates universe
deb-src http://archive.ubuntu.com/ubuntu hardy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://ports.ubuntu.com/ubuntu-ports/ hardy multiverse
deb-src http://archive.ubuntu.com/ubuntu hardy multiverse
deb http://ports.ubuntu.com/ubuntu-ports/ hardy-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu hardy-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://ports.ubuntu.com/ubuntu-ports/ hardy-backports main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
# deb http://archive.canonical.com/ubuntu hardy partner
# deb-src http://archive.canonical.com/ubuntu hardy partner

deb http://po...

Read more...

Revision history for this message
Michael Casadevall (mcasadevall) wrote :

As an added bonus, screenshot attached.

Revision history for this message
Martin Pitt (pitti) wrote :

Michael Casadevall, thank you for testing! Michael Vogt, can you please have another look here?

Changed in python-apt:
status: Fix Committed → In Progress
Revision history for this message
Martin Pitt (pitti) wrote :

I assume the same is true for Intrepid?

Changed in python-apt:
status: Fix Released → In Progress
Revision history for this message
Michael Casadevall (mcasadevall) wrote :

I didn't test intrepid, but if its the same patch that is applied now, then I'd say yes.

Revision history for this message
Michael Vogt (mvo) wrote :

I fixed this in bzr now, as far as I can tell from my testing the remaining issue is that source code is not recognized - the binary deb lines should be all good now. I'm going to upload another SRU for this today and ask that the current version to be put into -updates. While it does not fix all the issues, it fixes some and does not cause a regression.

Michael Vogt (mvo) on 2008-11-10
Changed in python-apt:
assignee: nobody → mvo
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-apt - 0.7.8~ubuntu2

---------------
python-apt (0.7.8~ubuntu2) jaunty; urgency=low

  [ Michael Vogt ]
  * data/templates/Ubuntu.info.in:
    - updated to fix ports.ubuntu.com for powerpc and lpia
      (LP: #220890)
  * aptsources/distro.py:
    - add parameter to get_distro() to make unit testing easier
  * tests/test_aptsources_ports.py:
    - add test for arch specific handling (when sub arch is on
      a different mirror than "main" arches)

  [ Julian Andres Klode ]
  * python/acquire.cc (GetPkgAcqFile): Support DestDir and DestFilename.

 -- Michael Vogt <email address hidden> Mon, 10 Nov 2008 11:35:03 +0100

Changed in python-apt:
status: In Progress → Fix Released
Revision history for this message
Martin Pitt (pitti) wrote :

Previous python-apt SRU copied to hardy-updates, so the way is free for another SRU.

Changed in python-apt:
milestone: ubuntu-8.04.2 → none
status: In Progress → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Revision history for this message
Pedro Villavicencio (pedro) wrote :

I've done the verification for Hardy with the test case without a power pc, everything works as expected, the results are the same, Thanks.

Revision history for this message
Steve Langasek (vorlon) wrote :

Since this bugfix is specifically about ports architectures, it would be preferred if someone could verify that the package in hardy-proposed actually addresses the problem on powerpc prior to publishing as SRU for hardy, so that we aren't deploying no-op SRUs.

Revision history for this message
Luke Yelavich (themuso) wrote :

The SRU is verified on hardy powerpc.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-apt - 0.7.4ubuntu7.4

---------------
python-apt (0.7.4ubuntu7.4) hardy-proposed; urgency=low

  * data/templates/Ubuntu.info.in:
    - fix match uri to work for deb-src entries that point
      to archive.ubuntu.com too (LP: #220890)

 -- Michael Vogt <email address hidden> Mon, 10 Nov 2008 10:42:04 +0100

Changed in python-apt:
status: Fix Committed → Fix Released
Revision history for this message
Emmet Hikory (persia) wrote :

I'm marking this Won't Fix for Intrepid. The same patch that was used for hardy & jaunty was prepared for intrepid as 0.7.7.1ubuntu4.1, but never deployed. A fresh SRU is required more generally as part of bug #531876 (this isn't powerpc specific), which would render this intrepid fix obsolete.

Changed in python-apt (Ubuntu Intrepid):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers